Bug 250477 - Security Level Configuration window does not record other port changes.
Security Level Configuration window does not record other port changes.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-01 16:06 EDT by Don Stokes
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-21 05:13:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Stokes 2007-08-01 16:06:19 EDT
Description of problem:
When you manually add a port number to the list, it will not write the change to
the config file when you apply unless you have modified one of the checkboxes
for the services.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1.From gnome desktop, pick System/Administration/Firewall and SELinux.
2.Do not modify any of the trusted services checkboxes.
3.Expand "Other pors"
4.Click "Add" button
5.Type a port number such as 3306
6.Click "OK" button
7.Click "Apply" button

If you close the app and run it again, you will see that the new port was NOT added.
If you do the same thing, but click a checkbox and click it back, the changes
are written.
The code doesn't seem to think it has anything new to write to the config file
unless the checkboxes are manipulated.
  
Actual results:
Config file not updated

Expected results:
Config file should have been updated with the new port.

Additional info:
Good luck and thanks for your effort.
Comment 1 Thomas Woerner 2007-09-21 05:13:56 EDT
Fixed in updates in package system-config-securitylevel-1.7.0-5.

Note You need to log in before you can comment on or make changes to this bug.